DeveloperAPI ReferenceStreamDecideItemid
/api/stream/decide/{itemId}
Path Parameters
itemId*string
Library item ID
Query Parameters
fileId?string
Specific library file ID to stream. Falls back to primary file when omitted.
download?string
When set, responds with Content-Disposition: attachment to trigger a file download.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/stream/decide/string" \ -H "Content-Type: application/json" \ -d '{}'{
"plan": {
"decision": "direct_play",
"profile": {
"property1": null,
"property2": null
},
"videoStreamIndex": 0,
"audioStreamIndex": 0,
"subtitleStreamIndex": 0
},
"probe": {
"format": "string",
"duration": 0,
"size": 0,
"bitrate": 0,
"videoStreams": [
{
"property1": null,
"property2": null
}
],
"audioStreams": [
{
"property1": null,
"property2": null
}
],
"subtitleStreams": [
{
"property1": null,
"property2": null
}
]
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}